Subject: Re: [Bitcoin-development] Bitcoin Protocol Specification

From: "[email-masked]" <[email-masked]>
Date: Mon, 14 Jul 2014 14:25:54 +0200

On Mon, Jul 14, 2014 at 1:26 PM, Mike Hearn <[email-masked]> wrote:
> Nice work, but please don't call it the "Bitcoin protocol spec". Your
> document is not a spec.

fair objection, fwiw.

> It is an attempt to describe in English the Bitcoin
> protocol, but anyone who implemented it based on your description would get
> it wrong. For example you didn't mention the SIGHASH_SINGLE bug and many
> other important areas like the difficulty transitions are also left
> unspecified.

at the end of the day it's opensource so it could always be improved via pull
request on github.

Krzysztof, in that regard I would add a licence file to make
integration of changes
made by others smoother.

> As a loose description of the protocol for newbies it's an invaluable
> resource and perhaps we should link to it from the developer guide. As
> something that claims to be a specification it is quite possibly dangerous -
> the only spec that matters is the C++ original.

just out of curiosity, do you think it will be possible to create any
other proper
protocol specifications rather than the C++  original?

> On Mon, Jul 14, 2014 at 11:54 AM, Krzysztof Okupski
> <[email-masked]> wrote:
>>
>> Dear all,
>>
>> thank you for your invaluable feedback. As requested, the spec
>> will from now on be under version control. It can be found under:
>>
>> https://github.com/minium/Bitcoin-Spec
>>
>> The old link to the PDF will be, just in case, kept updated as well.
>>
>>
>> Warm greetings,
>> Krzysztof Okupski